package projectabarrotes.Mapeos;
// Generated 27/10/2014 08:16:01 AM by Hibernate Tools 4.3.1



/**
 * Cliente generated by hbm2java
 */
public class Cliente  implements java.io.Serializable {


     private Integer idCliente;
     private String nombre;
     private String apellPat;
     private String apellMat;
     private String fechaNac;
     private String rfc;
     private String correo;
     private String password;
     private Paquete paquete;
     private Pedido pedido;

    public Cliente() {
    }

    public Cliente(String nombre, String apellPat, String apellMat, String fechaNac, String rfc, String correo, String password, Paquete paquete, Pedido pedido) {
       this.nombre = nombre;
       this.apellPat = apellPat;
       this.apellMat = apellMat;
       this.fechaNac = fechaNac;
       this.rfc = rfc;
       this.correo = correo;
       this.password = password;
       this.paquete = paquete;
       this.pedido = pedido;
    }
   
    public Integer getIdCliente() {
        return this.idCliente;
    }
    
    public void setIdCliente(Integer idCliente) {
        this.idCliente = idCliente;
    }
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }
    public String getApellPat() {
        return this.apellPat;
    }
    
    public void setApellPat(String apellPat) {
        this.apellPat = apellPat;
    }
    public String getApellMat() {
        return this.apellMat;
    }
    
    public void setApellMat(String apellMat) {
        this.apellMat = apellMat;
    }
    public String getFechaNac() {
        return this.fechaNac;
    }
    
    public void setFechaNac(String fechaNac) {
        this.fechaNac = fechaNac;
    }
    public String getRfc() {
        return this.rfc;
    }
    
    public void setRfc(String rfc) {
        this.rfc = rfc;
    }
    public String getCorreo() {
        return this.correo;
    }
    
    public void setCorreo(String correo) {
        this.correo = correo;
    }
    public String getPassword() {
        return this.password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }
    public Paquete getPaquete() {
        return this.paquete;
    }
    
    public void setPaquete(Paquete paquete) {
        this.paquete = paquete;
    }
    public Pedido getPedido() {
        return this.pedido;
    }
    
    public void setPedido(Pedido pedido) {
        this.pedido = pedido;
    }




}


